## python3-swisseph 2.00.00

=== libswe/CMakeLists.txt ===
# Swisseph CMakeLists.txt

cmake_minimum_required( VERSION 2.8 )
project( cswisseph )

message( STATUS "-- Configuring cswisseph..." )

set( SOURCES
    swecl.c
    swedate.c
    swehel.c
    swehouse.c
    swejpl.c
    swemmoon.c
    swemplan.c
    #swemptab.c
    swepcalc.c
    sweph.c
    swephlib.c
    )

include_directories( BEFORE . )

if ( MSVC )
    add_definitions( -D_CRT_SECURE_NO_WARNINGS )
else()
    add_definitions( -g -O9 -Wall )
    if ( NOT MINGW )
        add_definitions( -fPIC )
    endif()
endif()

add_library( swe STATIC ${SOURCES} )

# vi: set ai et sw=4:

=== libswe/Makefile ===
# $Header$
# this Makefie creates a SwissEph library and a swetest sample on HP-Unix 10.20
# It has also been used successfully on Suse Linix 5.3

# The mode marked as 'Linux' should also work with the GNU C compiler
# gcc on other systems. It is known to work with gcc on Solaris.

# If you modify this makefile for another compiler, please
# let us know. We would like to add as many variations as possible.
# If you get warnings and error messages from your compiler, please
# let us know. We like to fix the source code so that it compiles
# free of warnings.
# send email to swisseph@astro.ch
#

CFLAGS = -g -Wall -fPIC  	# for Linux and other gcc systems
OP=$(CFLAGS)  
CC=cc	#for Linux

# compilation rule for general cases
.o :
	$(CC) $(OP) -o $@ $? -lm
.c.o:
	$(CC) -c $(OP) $<     

SWEOBJ = swedate.o swehouse.o swejpl.o swemmoon.o swemplan.o swepcalc.o sweph.o\
	swepdate.o swephlib.o swecl.o swehel.o

swetest: swetest.o libswe.a
	$(CC) $(OP) -o swetest swetest.o -L. -lswe -lm

swemini: swemini.o libswe.a
	$(CC) $(OP) -o swemini swemini.o -L. -lswe -lm

# create an archive and a dynamic link libary fro SwissEph
# a user of this library will inlcude swephexp.h  and link with -lswe

libswe.a: $(SWEOBJ)
	ar r libswe.a	$(SWEOBJ)

libswe.so: $(SWEOBJ)
	$(CC) -shared -o libswe.so $(SWEOBJ)

clean:
	rm -f *.o swetest libswe*
	
###
swecl.o: swejpl.h sweodef.h swephexp.h swedll.h sweph.h swephlib.h
sweclips.o: sweodef.h swephexp.h swedll.h
swedate.o: swephexp.h sweodef.h swedll.h
swehel.o: swephexp.h sweodef.h swedll.h
swehouse.o: swephexp.h sweodef.h swedll.h swephlib.h swehouse.h
swejpl.o: swephexp.h sweodef.h swedll.h sweph.h swejpl.h
swemini.o: swephexp.h sweodef.h swedll.h
swemmoon.o: swephexp.h sweodef.h swedll.h sweph.h swephlib.h
swemplan.o: swephexp.h sweodef.h swedll.h sweph.h swephlib.h swemptab.c
swepcalc.o: swepcalc.h swephexp.h sweodef.h swedll.h
sweph.o: swejpl.h sweodef.h swephexp.h swedll.h sweph.h swephlib.h
swephlib.o: swephexp.h sweodef.h swedll.h sweph.h swephlib.h
swetest.o: swephexp.h sweodef.h swedll.h

=== swephelp/CMakeLists.txt ===
# Swephelp CMakeLists.txt

cmake_minimum_required( VERSION 2.8 )
project( swephelp )

message( STATUS "-- Configuring swephelp..." )

set( SOURCES
    swhdatetime.c
    swhformat.c
    swhgeo.c
    swhmisc.c
    swhraman.c
    swhsearch.c
    swhutil.c
    )

include_directories( BEFORE . ../libswe )

if ( MSVC )
    add_definitions( -D_CRT_SECURE_NO_WARNINGS )
else()
    add_definitions( -g -O9 -Wall )
    if ( NOT MINGW )
        add_definitions( -fPIC )
    endif()
endif()

add_library( swephelp STATIC ${SOURCES} )

# vi: set fenc=utf-8 ff=unix et sw=4 ts=3 sts=4 :

=== swephelp/Makefile ===
# Swephelp makefile

CC = gcc
CFLAGS = -g -O9 -Wall -std=gnu99
# path to swisseph
INCS = -I. -I./libswe

SWHOBJ = swhdatetime.o swhformat.o swhgeo.o swhmisc.o swhraman.o swhsearch.o swhutil.o

.c.o:
	$(CC) -c $(CFLAGS) $(INCS) $<

all: libswephelp.a

libswephelp.a: $(SWHOBJ)
	ar rcs libswephelp.a $(SWHOBJ)

clean:
	rm -f *.o libswephelp.a

# vi: set fenc=utf-8 ff=unix sw=4 et=4 ts=4 sts=4 :

=== debian/changelog ===
python3-swisseph (2.00.00-0mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 25 Jan 2025 16:26:53 +0000

python3-swisseph (2.00.00-0mx19+2) mx; urgency=medium

  * Correct Copyright information

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 02 Apr 2020 20:37:19 -0400

python3-swisseph (2.00.00-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 26 Aug 2019 15:22:03 -0400

python3-swisseph (2.00.00-0ubuntu1~bionic) bionic; urgency=low

  * Initial release 

 -- Pelle van der Scheer <pellesimon@gmail.com>  Sat, 11 Mar 2017 20:28:32 +0100

=== debian/control ===
Source: python3-swisseph
Section: universe/graphics
Priority: optional
Maintainer: Pelle van der Scheer <pellesimon@gmail.com>
Build-Depends: debhelper (>= 12), python3-all-dev (>= 3.9), dh-python
Standards-Version: 3.9.5
X-Python-Version: >= 3.9
Homepage: http://pypi.python.org/pypi/pyswisseph

Package: python3-swisseph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: swisseph binding for python
 this is a swisseph binding for python
